Opened 9 years ago

Closed 7 years ago

Last modified 3 years ago

#863 closed Task (fixed)

Implement z_tilde vertical coordinate

Reported by: mlelod Owned by: nemo
Priority: low Milestone:
Component: OCE Version: release-3.3
Severity: Keywords: z~
Cc: Review:
MP ready?:
Progress:

Description

Purpose: Reduce spurious diapycnal mixing due to high frequency vertical motions.

Method: Computational surfaces are following high frequency vertical motions
while staying close to the z* coordiante at low frequency.

see Leclair & Madec, Ocean Modelling, 2011

Commit History (27)

ChangesetAuthorTimeChangeLog
4283acc2013-11-20T13:00:50+01:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Update namelists with z-tilde options (nam_vvl)

4280acc2013-11-20T11:17:17+01:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Further changes to allow PISCES SETTE tests to compile

4266acc2013-11-19T22:44:09+01:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Corrections to enable compilation of GYRE SETTE tests. GYRE tests passed

4263acc2013-11-19T17:57:17+01:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Fixes to allow successful compilation of ORCA2_LIM with key_dynspg_ts

4258acc2013-11-19T16:54:37+01:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Merge in trunk changes from 3858 to 4119; resolve conflicts and check in prior to compiling and testing

4254acc2013-11-19T15:37:49+01:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Merge in final changes from the dev_r3867_MERCATOR1_DYN branch; mainly AGRIF and BDY compatibility

4250acc2013-11-19T15:14:38+01:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Correction to update step in ln_bt_fw=.true. case.

4246acc2013-11-19T12:46:44+01:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Correction to divergence calculation ordering and return to single wzv routine called twice.

4241acc2013-11-19T09:04:21+01:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Port of Jeromes version of dynspg_ts.F90 into z-tilde framework

4194acc2013-11-14T12:18:20+01:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Best endeavour merge of Z-tilde branch and Mercator time-stepping changes. Still issues with key_dynspg_ts that need all party involvement to resolve.

4178acc2013-11-11T13:01:19+01:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Merge of Mercator time-stepping changes with z-tilde structure. Not yet fully operational with key_dynspg_ts but main structural changes are all in place.

4105acc2013-10-22T16:47:27+02:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Port across time-stepping changes from dev_r3867_MERCATOR1_DYN branch. Part 1: modules totally independent of ztilde changes (chiefly BDY stuff).

3957acc2013-07-05T16:30:37+02:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Fixes to tidal potential forcing changes to ensure no numerical changes due to the re-styling

3955acc2013-07-04T15:42:04+02:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Minor fix to sbctide.F90 to enable compilation (typos resulting in undeclared variables).

3953gm2013-07-03T13:41:32+02:00

dev_r3858_NOC_ZTC, #863 : activate tide potential in filtered ssh case + style in tide modules

3951acc2013-07-01T17:43:44+02:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Minor fix to dynspg_ts.F90 and introduction of an option to suppress ztilde coordinate in the equatorial band

3896acc2013-05-02T14:40:43+02:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Fix to dynvor.F90 to remove instability when using the EEN vorticity scheme with z-tilde. Also cosmetic changes and better initial settings for zstar/ztilde when using full ice embedding

3890acc2013-04-23T15:44:05+02:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Changes to make new vvl code restartable. Vertical scale factors are read in dom_vvl_init which is called from domain before istate. Introduced rst_read_open in restart.F90 so that the restart file can be optionally opened in advance of the call to rst_read

3887acc2013-04-22T15:19:17+02:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Additions to nam_vvl so that all options can be controlled via the namelist and reported to ocean.output.

3884acc2013-04-22T13:25:29+02:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Correction to sst2 and sss3 terms in diawri.F90 and code tidying in domvvl.F90 with added support for other ORCA grids

3871acc2013-04-12T13:58:28+02:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Correction of elusive bug in domvvl.F90 that has been stopping zstar/ztilde working properly with partial steps

3870acc2013-04-11T18:23:38+02:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Further corrections to bugs in dynspg_ts.F90 spotted during search for unrelated bugs

3867acc2013-04-11T14:49:42+02:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Typo correction to diawri.F90 and removal of duplicate io from restat.F90 (now done in domvvl.F90)

3865acc2013-04-09T18:34:38+02:00

Branch 2013/dev_r3858_NOC_ZTC, #863. Nearly complete port of 2011/dev_r2739_LOCEAN8_ZTC development branch into v3.5aplha base. Compiles and runs but currently unstable after 8 timesteps with ORCA2_LIM reference configuration.

3862acc2013-04-08T13:07:43+02:00

Branch 2013/dev_r3858_NOC_ZTC #863. Change names of gdept_0, gdepw_0, e3t_0, e3w_0 to gdept_1d, gdepw_1d, e3t_1d, e3w_1d respectively in preparation for the introduction of time invariant 3d arrays using the _0 suffix

3859acc2013-04-04T12:22:05+02:00

Create branch for re-implementation of Z-tilde vertical coordinate. Continuation of ticket #863 but restarted to use 3.5alpha as the basis.

3839gm2013-03-14T19:00:38+01:00

dev_r2739_LOCEAN8_ZTC (z-tilde): #863 correct bugs and rename some variables

Change History (8)

comment:1 Changed 9 years ago by mlelod

Purpose: Reduce spurious diapycnal mixing due to high frequency vertical motions.

Method: Computational surfaces are following high frequency vertical motions
while staying close to the z* coordiante at low frequency.
See (Leclair & Madec, Ocean Modelling, 2011)

See wiki/ticket/863? for detailed description

comment:2 Changed 7 years ago by gm

  • Resolution set to fixed
  • Status changed from new to closed

done in v3.6

comment:3 Changed 4 years ago by nicolasmartin

  • Keywords coordinates added; coordinate removed

comment:4 Changed 4 years ago by nicolasmartin

  • Keywords nemo_v3_3* added

comment:5 Changed 4 years ago by nicolasmartin

  • Milestone 2011 Stream 3: New features deleted

Milestone 2011 Stream 3: New features deleted

comment:6 Changed 4 years ago by nicolasmartin

  • Keywords z~ added; coordinates vertical removed

comment:7 Changed 3 years ago by nemo

  • Type changed from Development to Task

Remove 'Development' type

comment:8 Changed 3 years ago by nemo

  • Keywords nemo_v3_3* removed
Note: See TracTickets for help on using tickets.